Debian 9820 Published by

A python-mechanize security update has been released for Debian GNU/Linux 10 LTS to address a ReDoS (Regular Expression Denial of Service) vulnerability.



[SECURITY] [DLA 3460-1] python-mechanize security update


-------------------------------------------------------------------------
Debian LTS Advisory DLA-3460-1 debian-lts@lists.debian.org
https://www.debian.org/lts/security/ Guilhem Moulin
June 20, 2023 https://wiki.debian.org/LTS
-------------------------------------------------------------------------

Package : python-mechanize
Version : 1:0.2.5-3+deb10u1
CVE ID : CVE-2021-32837

Erik Krogh Kristensen and Rasmus Petersen from the GitHub Security Lab
discovered a ReDoS (Regular Expression Denial of Service) vulnerability
in python-mechanize, a library to automate interaction with websites
modeled after the Perl module WWW::Mechanize, which could lead to
Denial of Service when parsing a malformed authentication header.

For Debian 10 buster, this problem has been fixed in version
1:0.2.5-3+deb10u1.

We recommend that you upgrade your python-mechanize packages.

For the detailed security status of python-mechanize please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/python-mechanize

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS